#ifndef KIOLAG_H
#define KIOLAG_H

#include <tqobject.h>

#include "messageReceiver.h"

class KSircIOLAG : public TQObject,
		   public KSircMessageReceiver
{
  TQ_OBJECT
  
public:
  KSircIOLAG(KSircProcess *_proc);
  virtual ~KSircIOLAG();

  virtual void sirc_receive(TQCString, bool broadcast);
  virtual void control_message(int, TQString);

protected slots:

protected:
 virtual void timerEvent ( TQTimerEvent * );

signals:
  void outputLine(TQCString);

private:
  KSircProcess *proc;
};

#endif
